diff -urN libfloat-dist/Makefile libfloat/Makefile
--- libfloat-dist/Makefile	2003-10-26 00:33:45.000000000 -0500
+++ libfloat/Makefile	2003-10-26 01:07:26.000000000 -0500
@@ -1,7 +1,7 @@
 # Makefile for the Linux soft-float library
 
-CC=gcc -O2 -freg-struct-return -fomit-frame-pointer -D__LIBFLOAT__
-#CC=gcc -g -O2 -freg-struct-return -D__LIBFLOAT__
+CFLAGS= -O2 -freg-struct-return -fomit-frame-pointer -D__LIBFLOAT__ -msoft-float
+LIBGCC=$(shell $(CC) -print-libgcc-file-name)
 AR=ar
 
 all: libfloat.a libfloat.so.1
@@ -12,24 +11,24 @@
 
 libfloat.so.1: softfloat.os fplib_glue.os
 	rm -f libfloat.so.1
-	gcc -shared -Wl,-soname,libfloat.so.1 softfloat.os fplib_glue.os -o libfloat.so.1
+	$(LD) -shared -soname=libfloat.so.1 softfloat.os fplib_glue.os -o libfloat.so.1 $(LIBGCC)
 
 softfloat.o: softfloat/bits64/softfloat.c
-	$(CC) -c -o softfloat.o -Isoftfloat/bits64/ARM-gcc softfloat/bits64/softfloat.c
+	$(CC) $(CFLAGS) -c -o softfloat.o -Isoftfloat/bits64/ARM-gcc softfloat/bits64/softfloat.c
 
 fplib_glue.o: fplib_glue.S
-	$(CC) -c -o fplib_glue.o fplib_glue.S
+	$(CC) $(CFLAGS) -c -o fplib_glue.o fplib_glue.S
 
 softfloat.os: softfloat/bits64/softfloat.c
-	$(CC) -fpic -c -o softfloat.os -Isoftfloat/bits64/ARM-gcc softfloat/bits64/softfloat.c
+	$(CC) $(CFLAGS) -fpic -c -o softfloat.os -Isoftfloat/bits64/ARM-gcc softfloat/bits64/softfloat.c
 
 fplib_glue.os: fplib_glue.S
-	$(CC) -fpic -c -o fplib_glue.os fplib_glue.S
+	$(CC) $(CFLAGS) -fpic -c -o fplib_glue.os fplib_glue.S
 
 install: libfloat.a libfloat.so.1
 	cp -a libfloat.a $(DESTDIR)/usr/lib
-	cp -a libfloat.so.1 $(DESTDIR)/usr/lib
-	cd $(DESTDIR)/usr/lib; ln -s libfloat.so.1 libfloat.so
+	cp -a libfloat.so.1 $(DESTDIR)/lib
+	cd $(DESTDIR)/lib; ln -s libfloat.so.1 libfloat.so
 	#ldconfig
 
 clean: 
